gobject Constants
Prev | PyGObject Class Reference | Next

## gobject Constants

gobject Constants — the built-in constants of the gobject module

## Synopsis

    GObject Param Flag Constants
    GObject Signal Flag Constants
    GObject Built-in Type Constants
    GObject Version Constants

## Description

### GObject Param Flag Constants

The Param Flag constants are a set of bit-flags that specify certain aspects of parameters that can be configured.

`gobject.PARAM_READABLE` | The parameter is readable
`gobject.PARAM_WRITABLE` | The parameter is writable
`gobject.PARAM_CONSTRUCT` | The parameter will be set upon object construction
`gobject.PARAM_CONSTRUCT_ONLY` | The parameter will only be set upon object construction
`gobject.PARAM_LAX_VALIDATION` | Upon parameter conversion strict validation is not required

### GObject Signal Flag Constants

The Signal Flag constants are a set of bit-flags that specify a signal's behavior. The overall signal description outlines how especially the `RUN` flags control the stages of a signal emission.

`gobject.SIGNAL_RUN_FIRST` | Invoke the object method handler in the first emission stage.
`gobject.SIGNAL_RUN_LAST` | Invoke the object method handler in the third emission stage.
`gobject.SIGNAL_RUN_CLEANUP` | Invoke the object method handler in the last emission stage.
`gobject.SIGNAL_NO_RECURSE` | Signals being emitted for an object while currently being in emission for this very object will not be emitted recursively, but instead cause the first emission to be restarted.
`gobject.SIGNAL_DETAILED` | This signal supports "::detail" appendices to the signal name upon handler connections and emissions.
`gobject.SIGNAL_ACTION` | Action signals are signals that may freely be emitted on alive objects from user code via the `gobject.emit`() method and friends, without the need of being embedded into extra code that performs pre or post emission adjustments on the object. They can also be thought of as object methods which can be called generically by third-party code.
`gobject.SIGNAL_NO_HOOKS` | No emissions hooks are supported for this signal.

### GObject Spawn Flag Constants

The Spawn Flag constants are a set of bit-flags that can be passed to the `gobject.spawn_async`() function.

`gobject.SPAWN_LEAVE_DESCRIPTORS_OPEN` | the parent's open file descriptors will be inherited by the child; otherwise all descriptors except stdin/stdout/stderr will be closed before calling `exec`() in the child.
`gobject.SPAWN_DO_NOT_REAP_CHILD` | the child will not be automatically reaped; you must call `waitpid`() or handle `SIGCHLD` yourself, or the child will become a zombie.
`gobject.SPAWN_SEARCH_PATH` | `argv`[0] need not be an absolute path, it will be looked for in the user's `PATH`.
`gobject.SPAWN_STDOUT_TO_DEV_NULL` | the child's standard output will be discarded, instead of going to the same location as the parent's standard output.
`gobject.SPAWN_STDERR_TO_DEV_NULL` | the child's standard error will be discarded.
`gobject.SPAWN_CHILD_INHERITS_STDIN` | the child will inherit the parent's standard input (by default, the child's standard input is attached to /dev/null).
`gobject.SPAWN_FILE_AND_ARGV_ZERO` | the first element of `argv` is the file to execute, while the remaining elements are the actual argument vector to pass to the file. Normally `gobject.spawn_async`() uses `argv`[0] as the file to execute, and passes all of `argv` to the child.

### GObject Built-in Type Constants

The Built-in Type constants specify the pre-defined types used by gobject.

`gobject.TYPE_INVALID` | An invalid type, used as error return value in some functions.
`gobject.TYPE_NONE` | A fundamental type indicating no type.
`gobject.TYPE_INTERFACE` | The fundamental type from which all interfaces are derived.
`gobject.TYPE_CHAR` | The fundamental type corresponding to a character. This maps to a string in Python.
`gobject.TYPE_UCHAR` | The fundamental type corresponding to an unsigned character. This maps to a string in Python.
`gobject.TYPE_BOOLEAN` | The fundamental type corresponding to a True or False value. This maps to an integer in Python.
`gobject.TYPE_INT` | The fundamental type corresponding to an integer. This maps to an integer in Python.
`gobject.TYPE_UINT` | he fundamental type corresponding to an unsigned integer. This maps to an integer in Python.
`gobject.TYPE_LONG` | The fundamental type corresponding to a long integer. This maps to an integer in Python.
`gobject.TYPE_ULONG` | The fundamental type corresponding to an unsigned integer. This maps to an integer in Python.
`gobject.TYPE_INT64` | The fundamental type corresponding to an long long integer. This maps to a long integer in Python.
`gobject.TYPE_UINT64` | The fundamental type corresponding to an unsigned long long integer. This maps to a long integer in Python.
`gobject.TYPE_ENUM` | The fundamental type corresponding to an enumeration type. This maps to an integer in Python.
`gobject.TYPE_FLAGS` | The fundamental type corresponding to a flag type. This maps to an integer in Python.
`gobject.TYPE_FLOAT` | The fundamental type corresponding to a floating point number. This maps to a float in Python.
`gobject.TYPE_DOUBLE` | The fundamental type corresponding to a double floating point number. This maps to a float in Python.
`gobject.TYPE_STRING` | The fundamental type corresponding to a string.
`gobject.TYPE_POINTER` | The fundamental type corresponding to a pointer to an anonymous type. This has no corresponding Python type.
`gobject.TYPE_BOXED` | The fundamental type corresponding to a boxed object type.
`gobject.TYPE_PARAM` | The fundamental type corresponding to a GParamSpec type.
`gobject.TYPE_OBJECT` | The fundamental type corresponding to a GObject type.
`gobject.TYPE_PYOBJECT` | The fundamental type corresponding to a Python Object type.

### GObject Version Constants

The Version constants specify the version of `GLIB` used by PyGTK as a 3-tuple containing the major, minor and patch release numbers.

`gobject.glib_version` | A 3-tuple containing (major, minor, patch) release numbers.

Prev | Up | Next
gobject Functions | Home | PyGio Class Reference